#ifndef _VECTOR3D_H
#define _VECTOR3D_H

typedef struct Vector3 {
	float x;
	float y;
	float z;
	
	int level;
	Vector3(float in_x, float in_y, float in_z) : x(in_x), y(in_y), z(in_z), level(0) {}
	Vector3() : x(0), y(0), z(0), level(0) {}
	Vector3(const Vector3& in_v) : x(in_v.x), y(in_v.y), z(in_v.z), level(0) {}
	Vector3(float in) : x(in), y(in), z(in), level(0) {}
	inline Vector3& operator =(const Vector3& v2) { x = v2.x; y=v2.y; z=v2.z; level =v2.level; return *this;}
	inline void set(float in_x, float in_y, float in_z) { x = in_x; y = in_y; z = in_z; level = 0;}
} Vector3;

#endif
