//CSC 572 Final Project Header File
//Heavily Borrowed from CSC 572 Lab 5

#ifndef __FINAL_PROJECT__
#define __FINAL_PROJECT__

//includ library files
#include <stdlib.h>
#include <GL/glew.h>
#include <GL/glut.h>
#include <stdio.h>
#include <math.h>
#include <assert.h>
#include <vector>
#include <string>
#include <png.h>
#include <cstdio>
#include <windows.h>

//include other files
#include "SciDataParser.h"
#include "SciData.h"
#include "SciDataParser.h"
#include "Vector3.h"

//using namespaces
using std::string;
using std::vector;

int GW;
int GH;

//Viewpoint Controls
float shiftx = 0.0;
float shifty = 0.0;

//some useful data
Vector3 minLoc, maxLoc, center;
double minTR, maxTR;
vector<SciData> data; 

float max_extent;
float zoom;

bool cA_flag = false;
bool PBT_flag = false;
bool metal_flag = false;
bool carn_flag = false;

bool* keyStates = new bool[256];		//create an array of boolean values of length 255
bool* keySpecialStates = new bool[256]; //create of an array fo boolean values of length 255

GLuint texture;

long int num = 0;

#endif